# horizon-gen-nix


horizon-gen-nix is an executable for generating nix expressions
from [horizon-spec](https://hackage.haskell.org/package/horizon-spec)
dhall definitions.

```
Usage: horizon-gen-nix [--input-file INPUT_FILE]

Available options:
  -h,--help                Show this help text
  --input-file INPUT_FILE  The name of the input file.
```

## Example input

The input file mentioned in the previous sections contains a dhall expression of
the `HorizonExport` type (see `horizon-spec`).

Here is an example input file:

```
let H =
      https://gitlab.homotopic.tech/horizon/horizon-spec/-/raw/0.4.1/dhall/package.dhall
        sha256:9f2def711ea8796cdb24fa837da6681f9a7e752f87aeff08eee9b494c6e3374c

in  H.HorizonExport.MakeOverlay
      { packagesDir = "pkgs"
      , overlayFile = "overlay.nix"
      , overlay =
        [ H.callHackage "cabal2nix" "2.19.1"
        , H.callHackage "distribution-nixpkgs" "1.7.0.1"
        , H.callHackage "horizon-spec" "0.4.1"
        ]
      }
```

## Building

```
nix build
```

## Development

```
nix develop
```
